Medilogik EMS CVE -2021-44228 Vulnerability Statement

You may have noticed the high volume of activity and press around the log4j2 vulnerability.  Following this, an internal investigation has been completed which has shown that the MEDILOGIK platform and associated services are not vulnerable in their current state. We take all potential security alerts seriously and continue to review and update our security policies and strategies at all times.  If you are a current or potential customer and wish to receive a more detailed report then please contact [email protected] for a copy.

More news from MEDILOGIK

Find out more about our proven endoscopy management solution

Get in touch with our team today and arrange a demo